package encoding

import "bytes"

type ASCIICoder struct{}

func (c *ASCIICoder) Encode(s string, buf *bytes.Buffer) error {
	buf.WriteString(s)
	return nil
}

func (c *ASCIICoder) Decode(buf *bytes.Buffer) (string, error) {
	return buf.String(), nil
}
